// DOM elements
const uploadForm = document.getElementById("uploadForm");
const imageInput = document.getElementById("imageInput");
const result = document.getElementById("result");
const predictedClass = document.getElementById("predictedClass");
const confidence = document.getElementById("confidence");

// Event listener for form submission
uploadForm.addEventListener("submit", (e) => {
    e.preventDefault();

    const formData = new FormData();
    formData.append("file", imageInput.files[0]);

    // Send the image to the backend for prediction
    fetch("/predict", {
        method: "POST",
        body: formData,
    })
        .then((response) => response.json())
        .then((data) => {
            // Display the prediction result
            predictedClass.textContent = `Predicted Class: ${data.class}`;
            confidence.textContent = `Confidence: ${data.confidence.toFixed(2)}`;
            result.style.display = "block";
        })
        .catch((error) => {
            console.error("Error:", error);
        });
});
